<fieldset>

    <div class="control-group">
        <label class="control-label required">PHP Script</label>
        <div class="controls">
            <code>&lt;?php</code><br/>
            <?php echo form_textarea(array(
                'name' => 'script',
                'rows' => 8,
                'cols' => 200,
                'class' => 'span4',
                'wrap' => 'off',
                'value' => set_value('script', (array_key_exists('script', $defaults)) ? $defaults['script'] : FALSE))); ?>
            <span class="help-inline">
                <?php
                $text = 'uses the linux "which" and uses first interpreter listed. usually /usr/bin/php.';
                echo question_tooltip($text);
                ?>
            </span>
            <br/><code>?&gt;</code>
            <?php echo form_error('script') ?>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required"><?php echo _('Comparison'); ?></label>
        <div class="controls">
            <select name="comparison_type" class="span4">
                <option value="is" <?php echo reactor_option_selected('comparison_type', 'is', $defaults) ?>>output equals</option>
                <option value="contains" <?php echo reactor_option_selected('comparison_type', 'contains', $defaults) ?>>output contains</option>
                <option value="startswith" <?php echo reactor_option_selected('comparison_type', 'startswith', $defaults) ?>>output starts with</option>
                <option value="endswith" <?php echo reactor_option_selected('comparison_type', 'endswith', $defaults) ?>>output ends with</option>
                <option value="status" <?php echo reactor_option_selected('comparison_type', 'status', $defaults) ?>>exit status is</option>
            </select>
            <?php echo form_error('comparison_type') ?>
                        <span class="help-inline">
                <?php
                echo question_tooltip('Define how to compare results of output returned from running the above PHP script.');
                ?>
            </span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Value</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'value',
                'class' => 'span4',
                'value' => set_value('value', @$defaults['value']))); ?>
            <?php echo form_error('value') ?>
            <span class="help-inline">            
            <?php
                echo question_tooltip('Target value to compare PHP output with.');
            ?>
            </span>
        </div>
    </div>

</fieldset>
